"use server"
import prisma from "./db"
import { revalidatePath } from "next/cache"
import { redirect } from "next/navigation"
import { SubForm } from "app/ui/forms/sub"

export async function editSubmission(data: SubForm) {
	const res = await prisma.sub.update({
		where: { id: data.id },
		data
	})
	console.log(`updated ${data} to ${res}`)
	revalidatePath("/submission")
	redirect("/submission")
}
